Update Interface Behavior

Update Interface Behavior
Update the execution of the specified Behavior in the Defined Interface

Update the execution of the specified Behavior in the Defined Interface. The Behaviors can be specified by ID or by name.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/interfaces/{id}/behaviors/{behaviorId}
COPY
Path Parameters
string
id
Required

id

string
behaviorId
Required

behaviorId


Request Body
Behavior of type(s) application/json
Optional
{
    "name": "addNode",
    "id": "urn:vcloud:behavior-type:addNode:vendorA:pksContainerCluster:1.0.0:vendorA:containerCluster:1.0.0",
    "ref": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
    "description": "Adds a node to the cluster.\nParameters:\n  clusterId: the ID of the cluster\n  node: The node address\n",
    "execution": {
        "execution": {}
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Behavior of type(s) application/json;version=9.1.0
{
    "name": "addNode",
    "id": "urn:vcloud:behavior-type:addNode:vendorA:pksContainerCluster:1.0.0:vendorA:containerCluster:1.0.0",
    "ref": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
    "description": "Adds a node to the cluster.\nParameters:\n  clusterId: the ID of the cluster\n  node: The node address\n",
    "execution": {
        "execution": {}
    }
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/interfaces/{id}/behaviors/{behaviorId}